%define Uname	MgaRepo

Name:		mgarepo
Version:	1.12.3
Release:	%mkrel 1
Summary:	Tools for Mageia repository access and management
Group:		Development/Other
License:	GPLv2+
URL:		https://wiki.mageia.org/en/Mgarepo
# tarball needs to be created manually if new version has not been tagged yet
# git clone git://git.mageia.org/software/build-system/mgarepo; cd mgarepo && make dist
Source0:	http://gitweb.mageia.org/software/build-system/mgarepo/snapshot/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

Requires:	openssh-clients
#Requires:	python-cheetah
Requires:	pythonegg(3)(httplib2)
Requires:	pythonegg(3)(rpm-python)
Requires:	rpm-mageia-setup-build
Requires:	subversion
Requires:	wget

%description
Tools for Mageia repository access and management.

It is a fork of repsys :
<http://archive.openmandriva.org/wiki/en/index.php?title=Repsys>

%package	ldap
Summary:	Mgarepo plug-in to retrieve maintainer information from LDAP
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	pythonegg(3)(ldap3)

%description	ldap
A mgarepo plugin that allows retrieving maintainer information shown in
changelogs from a LDAP server.

See %{name} --help-plugin ldapusers for more information.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_bindir}/
install -m 0755 create-srpm %{buildroot}%{_datadir}/%{name}/create-srpm
install -m 0755 %{name}-ssh %{buildroot}%{_bindir}/%{name}-ssh
install -m 0644 %{name}.conf %{buildroot}%{_sysconfdir}

%files
%doc CHANGES %{name}-example.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_bindir}/%{name}-ssh
%{_datadir}/%{name}
%{_mandir}/*/*
%{python3_sitelib}/%{Uname}
%exclude %{python3_sitelib}/%{Uname}/plugins/ldapusers.py*
%exclude %{python3_sitelib}/%{Uname}/plugins/__pycache__/__init__*
%exclude %{python3_sitelib}/%{Uname}/plugins/__pycache__/ldapusers*
%{python3_sitelib}/*.egg-info
%{_datadir}/bash-completion/completions/%{name}

%files ldap
%doc README.LDAP
%{python3_sitelib}/%{Uname}/plugins/ldapusers.py*
%{python3_sitelib}/%{Uname}/plugins/__pycache__/__init__*
%{python3_sitelib}/%{Uname}/plugins/__pycache__/ldapusers*


%changelog
* Sun May 29 2016 daviddavid <daviddavid> 1.12.3-1.mga6
+ Revision: 1019335
- new version: 1.12.3

* Fri Mar 25 2016 daviddavid <daviddavid> 1.12.1-1.mga6
+ Revision: 995533
- new version: 1.12.1
  * prefix the command svn log without LC_ALL=C (mga#73)

* Wed Mar 09 2016 daviddavid <daviddavid> 1.12.0-1.mga6
+ Revision: 988425
- new version: 1.12.0

* Tue Mar 08 2016 akien <akien> 1.11.11-1.mga6
+ Revision: 987279
- Version 1.11.11

* Mon Feb 22 2016 daviddavid <daviddavid> 1.11.10-1.mga6
+ Revision: 976101
- new version: 1.11.10

* Sun Feb 21 2016 daviddavid <daviddavid> 1.11.9-2.mga6
+ Revision: 975076
- mgarepo-ldap requires now python3-ldap3
- mgarepo-ldap requires mgarepo = version

* Fri Feb 19 2016 akien <akien> 1.11.9-1.mga6
+ Revision: 970670
- Version 1.11.9

* Wed Feb 17 2016 akien <akien> 1.11.8-1.mga6
+ Revision: 963239
- Version 1.11.8

* Wed Dec 23 2015 doktor5000 <doktor5000> 1.11.6-1.mga6
+ Revision: 913906
- new version 1.11.6
  o adds -s option for log command to get releases log (mga#12948)

* Sun Dec 20 2015 doktor5000 <doktor5000> 1.11.5-1.mga6
+ Revision: 912550
- new version 1.11.5
  o fixes import of src.rpm when SOURCES folder is not contained (mga#17365)

* Wed Dec 09 2015 akien <akien> 1.11.3-1.mga6
+ Revision: 909225
- Version 1.11.3

* Mon Nov 30 2015 akien <akien> 1.11.2-1.mga6
+ Revision: 907412
- Version 1.11.2

* Mon Nov 30 2015 neoclust <neoclust> 1.11.1-1.mga6
+ Revision: 907316
- New version 1.11.1

* Sat Nov 28 2015 philippem <philippem> 1.11.0-3.mga6
+ Revision: 906897
- use py3 macros, remove historical and now wrong bytecompile instruction, move byte compiled files to ldap sub package

* Sat Nov 28 2015 neoclust <neoclust> 1.11.0-2.mga6
+ Revision: 906886
- Use python3 everywhere

* Sat Nov 28 2015 neoclust <neoclust> 1.11.0-1.mga6
+ Revision: 906807
- New version 1.11.0

* Tue Sep 22 2015 solbu <solbu> 1.10.7-2.mga6
+ Revision: 882242
- Remove dead mandriva.com link, replace wiki link with the openmandriva archive

* Fri Aug 07 2015 wally <wally> 1.10.7-1.mga6
+ Revision: 861566
- new version 1.10.7
  * ignore 'mgarepo sync -c' and tell it's deprecated

* Wed Oct 15 2014 umeabot <umeabot> 1.10.6-5.mga5
+ Revision: 740621
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.10.6-4.mga5
+ Revision: 727254
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.10.6-3.mga5
+ Revision: 682378
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 remmy <remmy> 1.10.6-2.mga5
+ Revision: 665157
- Add "upload", "del", and "up" commands to manual page (mga#2149)
- Replace Mandriva wiki reference with Mageia equivalent (mga#2149)

* Sat Jul 19 2014 tv <tv> 1.10.6-1.mga5
+ Revision: 653705
- s/cooker/cauldron/
  thus fixing some stupid upload errors related to backports
- Use hardlinks when importing (can help speed up process for large SOURCES)
- Added aliases for commit (ci) and checkout (co)
- Improved detection of binary files

* Sat May 31 2014 pterjan <pterjan> 1.10.5-4.mga5
+ Revision: 628335
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.10.5-3.mga5
+ Revision: 542787
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.10.5-2.mga4
+ Revision: 497878
- Rebuild to add different pythonegg provides for python 2 and 3

  + danf <danf>
    - Removed duplicate Requires: python-cheetah
    - Removed unnecessary BuildRequires: python-devel
    - Switch to a more useful URL
    - Changed Source0: to point to a URL where it can be downloaded

* Thu Jul 04 2013 danf <danf> 1.10.5-1.mga4
+ Revision: 450051
- version 1.10.5: Don't block waiting for stderr when displaying
  subprocess output (mga#952)

  + joequant <joequant>
    - 1.10.4 - move completion from package to main build
    - add completion file with spec cleanups

* Wed May 29 2013 wally <wally> 1.10.3-4.mga4
+ Revision: 432798
- require python-cheetah

* Sat Jan 12 2013 umeabot <umeabot> 1.10.3-3.mga3
+ Revision: 360017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 neoclust <neoclust> 1.10.3-2.mga3
+ Revision: 335538
- Rebuild against new rpm

* Wed Dec 05 2012 boklm <boklm> 1.10.3-1.mga3
+ Revision: 326977
- version 1.10.3

* Tue Oct 09 2012 jquelin <jquelin> 1.10.2-3.mga3
+ Revision: 303840
- bs ate previous submission, nom-nom-nom

* Wed Sep 26 2012 wally <wally> 1.10.2-2.mga3
+ Revision: 298439
- require rpm-mageia-setup-build to be able to parse .spec file

* Thu Nov 24 2011 boklm <boklm> 1.10.2-1.mga2
+ Revision: 171653
- version 1.10.2
- add require on wget
- version 1.10.1
- fix require on python-httplib
- add require on httplib2
- add python-devel as build require
- version 1.10.0

* Tue Jul 12 2011 boklm <boklm> 1.9.11-1.mga2
+ Revision: 123440
- Version 1.9.11: add maintdb command

  + ahmad <ahmad>
    - Fix the URL tag

* Wed May 25 2011 boklm <boklm> 1.9.10-1.mga1
+ Revision: 100367
- version 1.9.10

  + misc <misc>
    - add source url
    - remove requires on python-devel ( should not be needed )
    - do not add version requires on mgarepo ( as all version should be ok )
    - fix missing defattr on ldap plugin ( rpmlint )

* Thu Mar 10 2011 misc <misc> 1.9.9-2.mga1
+ Revision: 67691
- fix License
- use newer and upstream python macros
- clean the spec by removing mention of old mandriva hack
- remove old python macros

* Sat Feb 26 2011 boklm <boklm> 1.9.9-1.mga1
+ Revision: 60148
- version 1.9.9

* Fri Jan 28 2011 boklm <boklm> 1.9.8-1.mga1
+ Revision: 42505
- version 1.9.8

* Thu Jan 27 2011 boklm <boklm> 1.9.7-1.mga1
+ Revision: 42188
- version 1.9.7

* Mon Jan 17 2011 blino <blino> 1.9.6-2.mga1
+ Revision: 20916
- rebuild with new python

* Thu Jan 13 2011 boklm <boklm> 1.9.6-1.mga1
+ Revision: 7984
- version 1.9.6

* Wed Jan 12 2011 blino <blino> 1.9.5-1.mga1
+ Revision: 6829
- install as mgarepo, not repsys
- do not conflict with repsys anymore
- 1.9.5

  + boklm <boklm>
    - mgarepo version 1.9.4
    - add conflict with repsys
    - cleaning
    - repsys package renamed to mgarepo
    - version 1.9.2

  + misc <misc>
    - remove rest of Mandriva reference

* Tue Jan 04 2011 boklm <boklm> 1:1.9.1-1mdv2010.0
+ Revision: 120
- version 1.9.1
- version 1.9
- add patch from blino to enable binrepo in create-srpm
- imported package repsys

